%% CHANGE CAPACITY   
capacity = 'default';

if max_discharge_power == 10000 || max_discharge_power == 20000 ...
        || max_discharge_power == 30000
    capacity = 'range_1';
end
if max_discharge_power == 60000
    capacity = 'range_2';
end
if max_discharge_power == 90000
    capacity = 'range_3';
end
if max_discharge_power == 120000
    capacity = 'range_4';
end
if max_discharge_power == 160000 || max_discharge_power == 200000 ...
        || max_discharge_power == 260000
    capacity = 'range_5';
end
if max_discharge_power == 320000
    capacity = 'range_6';
end

switch capacity
    case 'range_1'
        battery_capacity_range = [40,70,100,130]*1000 ...
            /nominal_battery_voltage;
        actual_capacity = find(battery_capacity_range == battery_capacity);
        if actual_capacity == 4
            battery_capacity = battery_capacity_range(4);
            keep_running = 0;
        else
            battery_capacity = battery_capacity_range(actual_capacity + 1);
        end
    case 'range_2'
        battery_capacity_range=[100,130,400]*1000 ...
            /nominal_battery_voltage;
        actual_capacity = find(battery_capacity_range == battery_capacity);
        if actual_capacity == 3
            battery_capacity = battery_capacity_range(3);
            keep_running = 0;
        else
            battery_capacity = battery_capacity_range(actual_capacity + 1);
        end
    case 'range_3'
        battery_capacity_range = [130,400,800]*1000 ...
            /nominal_battery_voltage;
        actual_capacity = find(battery_capacity_range == battery_capacity);
        if actual_capacity == 3
            battery_capacity = battery_capacity_range(3);
            keep_running = 0;
        else
            battery_capacity = battery_capacity_range(actual_capacity + 1);
        end
    case 'range_4'
        battery_capacity_range = [400,800]*1000/nominal_battery_voltage;
        actual_capacity = find(battery_capacity_range == battery_capacity);
        if actual_capacity == 2
            battery_capacity = battery_capacity_range(2);
            keep_running = 0;
        else
            battery_capacity = battery_capacity_range(actual_capacity + 1);
        end
    case 'range_5'
        battery_capacity_range = [400,800,1600]*1000 ...
            /nominal_battery_voltage;
        actual_capacity = find(battery_capacity_range == battery_capacity);
        if actual_capacity == 3
            battery_capacity = battery_capacity_range(3);
            keep_running = 0;
        else
            battery_capacity = battery_capacity_range(actual_capacity + 1);
        end
    case 'range_6'
        battery_capacity_range = [800,1600]*1000/nominal_battery_voltage;
        actual_capacity = find(battery_capacity_range == battery_capacity);
        if actual_capacity == 2
            battery_capacity = battery_capacity_range(2);
            keep_running = 0;
        else
            battery_capacity = battery_capacity_range(actual_capacity + 1);
        end
    otherwise
        disp('error');
end
        