%% CONDITIONING OF VALUES
steps_day = 86400/T;
number_days = round(length(load)/steps_day);
if number_days > 1
    % In case some data have not been entered, that means that the last
    % data measures are missed, they are filled with the last value of
    % the load or PV power
    if length(load)~= steps_day*number_days
        diferencia = steps_day*number_days - length(load);
        if diferencia > 0
            for i=(length(load) + 1):(length(load) + diferencia)
                load(i,1)= i;
                load(i,2) = load(i-1,2);
                PV_power(i,1)= i;
                PV_power(i,2) = PV_power(i-1,2);
            end
        end
    end
    energy_battery_total = zeros(1, number_days);
    days_use_battery = 0;
    for j=1:number_days
        use_battery = zeros(1, number_days);
        energy_battery = 0;
        for i=1:steps_day
            if load(i + steps_day*(j-1),2)*1000 > (max_desired_power_grid ...
                    + CHP_max + PV_power(i + steps_day*(j-1),2))
                energy = T * (load(i + steps_day*(j-1),2)*1000 ...
                    - max_desired_power_grid ...
                    - CHP_max-PV_power(i+steps_day*(j-1),2));
                use_battery(i) =  1;
            else
                energy = 0;
                use_battery(i) =  0;
            end
            energy_battery = energy_battery + energy;     
        end
        energy_battery_total(j) = energy_battery;
        if sum(use_battery) ~= 0
            days_use_battery = days_use_battery + 1;
        end
    end
    
    % In a year, means more than two days per week
    if days_use_battery > 0.285 * number_days
        battery_type = 'redox flow';
    else
        battery_type = 'lead acid';
    end
    
else
    day_load_max(:,1) = load(:,1);
    day_load_max(:,2) = load(:,2);
    battery_type = 'non';
end