%% IMPORT DATA COMPANY
[~, ~, raw] = xlsread([pathname filename]);
raw(cellfun(@(x) ~isempty(x) && isnumeric(x) && isnan(x),raw)) = {''};

%% Replace non-numeric cells with NaN
R = cellfun(@(x) ~isnumeric(x) && ~islogical(x),raw); % Find non-numeric cells
raw(R) = {NaN}; % Replace non-numeric cells

%% Create output variable
data = reshape([raw{:}],size(raw));

%% Allocate imported array to column variable names
LoadkW  = data(find(data(:,1)>=0),1);
PVkW    = data(find(data(:,2)>=0),2);
t       = (1:length(LoadkW))';

%% Clear temporary variables
clearvars data raw R;