%% PROGRAM RESULTS 2
% graphs
hl = figure;
set(hl,'visible','off');
if strcmp(pvexist, 'Yes')
    X = load_W.Time*T/3600;
    grid_new = grid_supply.Data - char_battery.Data;
    Y = [CHP.Data,grid_new,char_battery.Data,PV.Data, ...
    dis_battery.Data]/1000;
    subplot (20,1,[1 13]);
    harea = area(X, Y);
    x_step_tick = number_days * 2.5;
    set(gca, 'XTick', [0:x_step_tick:length(load)])
    set(harea(2),'FaceColor',[0 .9 1]);
    set(harea(3),'FaceColor',[0 .5 0]);
    set(harea(4),'FaceColor',[1 .8 0]);
    set(harea(5),'FaceColor',[.5 .1 .1]);
    title ('Power Balance','FontSize', 12,'FontWeight','bold')
    xlabel('Time (h)','FontSize', 10)
    ylabel('Power (kW)','FontSize', 10)
    hleg1 = legend('CHP','Grid - Charge Battery', ...
        'Charge Battery','PV','Discharge Battery');
    set(hleg1,'FontSize', 7,'Location','SouthEast')
else
    X = load_W.Time*T/3600;
    grid_new = grid_supply.Data - char_battery.Data;
    Y = [CHP.Data,grid_new,char_battery.Data,dis_battery.Data]/1000;
    subplot (20,1,[1 13]);
    harea = area(X, Y);
    x_step_tick = number_days * 2.5;
    set(gca, 'XTick', [0:x_step_tick:length(load)])
    set(harea(3),'FaceColor',[0 .5 0]);
    title ('Power Balance','FontSize', 12,'FontWeight','bold')
    xlabel('Time (h)','FontSize', 10)
    ylabel('Power (kW)','FontSize', 10)
    hleg2 = legend('CHP','Grid - Charge Battery','Charge Battery', ...
        'Discharge Battery');
    set(hleg2,'FontSize', 7,'Location','SouthEast')
end
grid on

subplot (20,1,[17 20])
plot(SOC)
xlim([0 length(load)])
x_step_tick = number_days * 10;
set(gca, 'XTick', [0:x_step_tick:length(load)])
x_step_label = number_days*2.5;
set(gca,'XTickLabel',[0;x_step_label;2*x_step_label; ...
    3*x_step_label;4*x_step_label;5*x_step_label; ...
    6*x_step_label;7*x_step_label;8*x_step_label;9*x_step_label])
ylim([0 1])
set(gca,'YTick',[0;0.2;0.4;0.6;0.8;1])
title ('Battery State Of Charge','FontSize', 12,'FontWeight','bold')
xlabel('Time (h)','FontSize', 10)
ylabel('SOC','FontSize', 10)
grid on

mkdir('YOUR OWN RESULTS');
saveas(hl, 'Power_Balance', 'jpg');
movefile('Power_Balance.jpg','YOUR OWN RESULTS');

% text in Excel
header = {'','Recommended Battery Type',battery_type};
classinfo = {'Parameters','Values','Units'; 'Time Step',T/60,'min'; ...
    'Initial SOC',SOC_initial,'%'; 'Minimum SOC',SOC_min*100,'%'; ...
    'Nominal Battery Voltage',nominal_battery_voltage,'V'; ...
    'Battery Capacity',battery_capacity*nominal_battery_voltage/1000, ...
    'kWh'; 'Charge Rate',c_charge,'1/h'; ...
    'Discharge Rate',c_discharge,'1/h'; ...
    'Maximum Discharge Power of the Battery',max_discharge_power/1000, ...
    'kW'; 'Maximum Desired Power Grid',max_desired_power_grid/1000,'kW'; ...
    'Nominal el. CHP Power',CHP_max/1000,'kW'; ...
    'CHP electric efficiency',CHP_electric_efficiency*100,'%'; ...
    'CHP heat Power',CHP_heat_power/1000,'kW'; ...
    'CHP heat efficiency',CHP_heat_efficiency*100,'%'; ...
    'Number of days',number_days,'days'};
headergridtoload = {'GRID TO PROVIDE ALL LOAD'};
gridpricetoload = {'Power','','',''; '','Parameters','Values','Units'; ...
    '','Power Price',63,'/kW'; '','Max. Value',maximum_value_load,'kW'; ...
    '','Total Power Price',grid_to_load_total_power_cost,''; ...
    'Energy','','',''; '','Parameters','Values','Units'; ...
    '','Energy Price',0.15,'/kWh'; ...
    '','Total Energy Price',grid_to_load_total_energy_cost,''};
headergrid = {'GRID'};
gridprice = {'Power','','',''; '','Parameters','Values','Units'; ...
    '','Power Price',63,'/kW'; '','Max. Value',maximum_value_grid,'kW'; ...
    '','Total Power Price',grid_total_power_cost,''; ...
    'Energy','','',''; '','Parameters','Values','Units'; ...
    '','Energy Price',0.15,'/kWh'; ...
    '','Total Energy Price',grid_total_energy_cost,''};
if strcmp(pvexist, 'Yes')
    headerPV = {'PV'};
    PVprice = {'Investment','','',''; '','Parameters','Values','Units'; ...
        '','PV Price',PV_investment,''; 'Surplus','','',''; ...
        '','Parameters','Values','Units'; '','Feed in Price',0.1,'/kWh'; ...
        '','Total Surplus Price',PV_total_surplus_benefit,''};
end
headerbattery = {'BATTERY'};
batteryprice = {'Parameters','Values','Units'; ...
    'Battery Price',battery_investment_user,''};
headerCHP = {'CHP'};
CHPprice = {'Investment','','',''; '','Parameters','Values','Units'; ...
    '','CHP Price',CHP_investment,''; 'Surplus','','',''; ...
    '','Parameters','Values','Units'; '','Feed in Price',0.105,'/kWh'; ...
    '','Total Surplus Price',CHP_total_surplus_benefit,''; ...
    'Electricity and Heat','','',''; '','Parameters','Values','Units'; ...
    '','Electricity Price',CHP_electricity_price,'/kWh'; ...
    '','Total Electric Price',CHP_total_electric_cost,''; ...
    '','Heat Price',heat_price,'/kWh'; ...
    '','Total Heat Price',CHP_total_heat_cost,''};
summary = {'','SUMMARY',''; '','',''; 'GRID SUPPLIES ALL LOAD','',''; ...
    'MONEY TO PAY',pay_grid_provide_all,''};
if strcmp(pvexist, 'No')
    summary2 = {'GRID WITH BATT AND CHP','',''; ...
        'MONEY TO PAY',pay_grid_batt_and_CHP,''; ...
        'INVESTMENT',investment_grid_batt_and_CHP,''};
    summary3 = {'PAY-BACK',pay_back_grid_batt_and_CHP,'years'};
end
if strcmp(pvexist, 'Yes')
    summary2 = {'GRID WITH BATT, CHP AND PV','',''; ...
        'MONEY TO PAY',pay_grid_batt_CHP_and_PV,''; ...
        'INVESTMENT',investment_grid_batt_CHP_and_PV,''};
    summary3 = {'PAY-BACK',pay_back_grid_batt_CHP_and_PV,'years'};
end

xlswrite('results',header,'simulation');
xlswrite('results',classinfo,'simulation','B3');
xlswrite('results',headergridtoload,'simulation','B19');
xlswrite('results',gridpricetoload,'simulation','C20');
xlswrite('results',headergrid,'simulation','H1');
xlswrite('results',gridprice,'simulation','I2');
if strcmp(pvexist, 'Yes')
    xlswrite('results',headerPV,'simulation','H31');
    xlswrite('results',PVprice,'simulation','I32');
end
xlswrite('results',headerbattery,'simulation','H12');
xlswrite('results',batteryprice,'simulation','I13');
xlswrite('results',headerCHP,'simulation','H16');
xlswrite('results',CHPprice,'simulation','I17');
xlswrite('results',summary,'simulation','N1');
xlswrite('results',summary2,'simulation','N6');
xlswrite('results',summary3,'simulation','N10');

movefile('results.xls','YOUR OWN RESULTS');
steps = 1000;
for step = 1:steps
    waitbar(step / steps)
end
close(h)
msgbox('Simulation Completed','Success');
