%% SELECTION   
%% CHP_catalogue
CHP_max = average/(run+2);
CHP_catalogue;

%% battery_discharge_power_catalogue
max_discharge_power = sub_run * maximum/100;
battery_discharge_power_catalogue;
max_desired_power_grid = maximum - CHP_max - max_discharge_power;
nominal_battery_voltage = 400;
         
%% battery_capacity_min        
battery_capacity_min;
c_discharge = (max_discharge_power/nominal_battery_voltage)/battery_capacity;
c_charge = c_discharge;
nominal_discharge_battery_current = c_discharge * battery_capacity;
nominal_charge_battery_current = c_charge * battery_capacity;
max_charge_power = nominal_battery_voltage * nominal_charge_battery_current;

%% day_max_capacity_calc
cond_values_and_day_max_capacity_calc;
t_sim_day = size(day_load_max, 1);
keep_running = 1;
while keep_running
    sim('capacity_simulink_program.slx', t_sim_day);
    if strcmp(battery_type, 'redox flow')
        if min(SOC.Data) <= 0.01 || SOC.Data(length(SOC.Data)) < SOC.Data(1)
            change_capacity;
            c_discharge = (max_discharge_power/nominal_battery_voltage) ...
                /battery_capacity;
            c_charge=c_discharge;
            nominal_discharge_battery_current = c_discharge*battery_capacity;
            nominal_charge_battery_current=c_charge*battery_capacity;
            max_charge_power = nominal_battery_voltage ...
                *nominal_charge_battery_current;
        else
            keep_running = 0;
        end
    end
    if strcmp(battery_type, 'lead acid')
        if min(SOC.Data) <= 0.4 || SOC.Data(length(SOC.Data)) < SOC.Data(1)
            change_capacity;
            c_discharge = (max_discharge_power/nominal_battery_voltage) ...
                /battery_capacity;
            c_charge=c_discharge;
            nominal_discharge_battery_current=c_discharge*battery_capacity;
            nominal_charge_battery_current=c_charge*battery_capacity;
            max_charge_power = nominal_battery_voltage ...
                *nominal_charge_battery_current;
        else
            keep_running = 0;
        end
    end
end
